This Bugzilla instance is a read-only archive of historic NetBeans bug reports. To report a bug in NetBeans please follow the project's instructions for reporting issues.

Bug 161488

Summary: Distinguish "my projects" by not only boldface
Product: connecteddeveloper Reporter: Jaromir Uhrik <juhrik>
Component: Team FrameworkAssignee: Stanislav Aubrecht <saubrecht>
Status: RESOLVED FIXED    
Severity: blocker CC: olangr
Priority: P4 Keywords: SIMPLEFIX
Version: 6.x   
Hardware: All   
OS: All   
Issue Type: DEFECT Exception Reporter:

Description Jaromir Uhrik 2009-03-30 16:27:48 UTC
Product Version: NetBeans IDE Dev (Build 200903291205)
Java: 1.5.0_16; Java HotSpot(TM) Client VM 1.5.0_16-133
System: Mac OS X version 10.5.6 running on i386; MacRoman; en_US (nb)

When a user is subscribed to a project then such a project is displayed in boldface in kenai window. Projects that are
only explicitly opened are not bold. This is not much intuitive for recognizing what the boldface means. I think there
needs to be some additional information for distinguishing between that (icons, tooltip,...?)
Comment 1 Ondrej Langr 2009-06-12 11:27:17 UTC
Agreed. Tooltip should do the job. 

Assuming this would be simplefix, please correct me if I'm wrong.
Comment 2 Stanislav Aubrecht 2009-07-13 11:47:10 UTC
what should the tooltip say then?
Comment 3 Ondrej Langr 2009-07-13 14:08:53 UTC
The project name is bold when a user is member of a particular project, right? 

If so, the tooltips should be:

   You are a member of this project. 

   or 

   You are NOT a member of this project.


In fact, the second tooltip should also offer a short hint how to become a member, but AFAIK, membership cannot be
requested from the IDE. 
Comment 4 Tomas Pavek 2009-07-13 14:38:44 UTC
Actually we plan to make it possible to bookmark projects (i.e. become an observer) from the IDE for 6.8. See issue 
165675.
Comment 5 Petr Dvorak 2009-08-28 20:38:05 UTC
I believe this was fixed by the new Kenai dashboard concept. -> FIXED